Summary:        X86 emulation library
Name:           libx86emu
Version:        3.5
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/wfeldt/libx86emu
Source0:        https://github.com/wfeldt/libx86emu/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc, make

%description
libx86emu is a small library to emulate x86 instructions. The focus here is not
a complete emulation (go for qemu for this) but to cover enough for typical
firmware blobs.

%package devel
Summary:        Development files for libx86emu
Requires:       %{name} = %{version}-%{release}

%description devel
Developing files for libx86emu.



%prep
%autosetup



%build
%make_build \
        LIBDIR=%{_libdir} \
        GIT2LOG=: \
        VERSION=%{version} \
        MAJOR_VERSION=%(echo %{version} |cut -d. -f1) \
        CFLAGS="-fPIC %{optflags}" \
        LDFLAGS="-fPIC %{__global_ldflags}" \
        shared



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%install
%make_install \
        LIBDIR=%{_libdir} \
        GIT2LOG=: \
        VERSION=%{version} \
        MAJOR_VERSION=%(echo %{version} |cut -d. -f1)



%files
%license LICENSE
%doc README.md
%{_libdir}/libx86emu.so.*

%files devel
%{_includedir}/x86emu.h
%{_libdir}/libx86emu.so



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jun 30 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.5-1
- Initial packaging
